Subject: [OPSAWG] Introduction of Network Artificial Intelligence (draft-li-rtgwg-network-ai-arch)

From: Lizhenbin <[email-masked]>
Date: Sat, 19 Nov 2016 05:05:58 +0000

Hi SDNRGers/RTGWGers/OPSAWGers,

For RTGWG since I stayed up the whole night for some reason, sorry for that I could not review the presentation slide of draft, draft-li-rtgwg-network-ai-arch,

carefully and correct the possible errors before I did the presentation in the RTGWG session meeting. Now I have modified the slide and the chair already helped

update the slide in the IETF page (Thank you Jeff).

I hope you who have interest in the work can get the slide of the SDNRG session meeting since I presented the draft in both SDNRG and RTGWG session

meetings in IETF97.

-- gameslides-97-sdnrg-34-an-architecture-of-network-artificial-intelligencenai-00

For Network Artificial Intelligent, we have finished some prototype's implementation shown in the page 8 of the slide, gameslides-97-sdnrg-34-an-

architecture-of-network-artificial-intelligencenai-00. We implemented the ELK-based Log Search Engine and one typical usecase of detecting abnormal log

based on the Open Source Big Data, Database, Machine Learning and Distributed Communication, etc., technologies.

Through the prototype work, we believe the idea of Network Artificial Intelligence dose work and we are aware that the success of NAI need huge traditional/

advanced knowledge/technologies/basic science and it will also take huge effort to comine these work together to make it does work for huge usecases.

Then we began to apply for charter of the project, NAI, from the Open Source Controller project, ONOS(Open Network Operating System). We hope it can

be a platform to combine the contribution from different parties of industry and academia including operators, internet companies, universities, research

organizations and  individual contributors (please refer to https://wiki.onosproject.org/display/ONOS/Network+Artificial+Intelligence).

At the same time we set up a matrix communities called as SDN/NFV Manito(Master) Hordes shown in the page 11 of the slide, gameslides-97-sdnrg-34-an-

architecture-of-network-artificial-intelligencenai-00 through WeChat (the most famous Chinese Instant Message Tool like WhatsApp that runs on the Smart

Phones and PCs). Now there are one Chinese Wechat Group called as "SDN/NFV技术部落" with 1200+ members and there are one English Group called as

"SDN/NFV Manito Hordes" with 450+ members. The community members are from all kinds of academic and industrial organizations, and individual

contributors which can be of great of help to the SDN/NFV work, including NAI work. Moreover the hordes went on to be divided into sub-hordes to discuss

the issues of the specific areas of SDN/NFV. Though there are huge work has been done in the past 8 years since the concept of OpenFlow and SDN was

proposed in 2008, thinking about the great objective of Network Artificial Intelligence (Make the network controller as the true Network Brain) to liberate the

network customers and network administrators  from the hard, time-consuming, error-prone work of network service provision, network Administration and

Maintenance and make network services flourishing, in my own opinion we are still in the early phase of SDN or Network Central Control, and we maybe have

to take a very very long process to achieve the perfect level of NAI. We need you all's help and contribution . And I truly got warm response and many constructive

suggestions after my presentation of the NAI work in the SDNRG and RTGWG session meetings. I would like to sincerely welcome you, who have interest in

SDN/NFV and like to take the challenges of NAI, join our community "SDN/NFV Manito Hordes" to connect through the Matrix to help each other (install

WeChat App on your smart phones, find us through the WeChat ID: 13651017745 and we will invite you join the appropriate communities shown in the page

11 of the slide, gameslides-97-sdnrg-34-an-architecture-of-network-artificial-intelligencenai-00) and the Open Source Project, NAI, in ONOS.

Let us make it happen!

Thanks,
Zhenbin(Robin)